--- old/usr/src/lib/libeti/form/common/field.c	Mon Jan 21 12:52:14 2019
+++ new/usr/src/lib/libeti/form/common/field.c	Mon Jan 21 12:52:14 2019
@@ -28,7 +28,9 @@
  *      All rights reserved.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 /*LINTLIBRARY*/
 
@@ -337,9 +339,14 @@
 int
 set_max_field(FIELD *f, int max)
 {
-	BOOLEAN	onerow = OneRow(f);
+	BOOLEAN	onerow;
 
-	if (!f || max && ((onerow && f->dcols > max) ||
+	if (!f)
+		return (E_BAD_ARGUMENT);
+
+	onerow = OneRow(f);
+
+	if (max && ((onerow && f->dcols > max) ||
 	    (!onerow && f->drows > max)))
 		return (E_BAD_ARGUMENT);
 
